%define url_ver %(echo %{version}|cut -d. -f1,2)
%global __provides_exclude_from %{_libdir}/%{name}
%global __requires_exclude_from %{_libdir}/%{name}

Name:		gnome-sound-recorder
Version:	3.21.92
Release:	%mkrel 2
Summary:	A simple, modern sound recorder
License:	GPLv2+ and LGPLv2+
Group:		Graphical desktop/GNOME
URL:		https://wiki.gnome.org/Apps/Polari
BuildArch:	noarch
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	intltool
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	gjs
BuildRequires:	gsettings-desktop-schemas
BuildRequires:	desktop-file-utils
Obsoletes:	gnome-media
Requires:	gjs
Requires:	gsettings-desktop-schemas

%description
A simple, modern sound recorder for the GNOME desktop.

%prep
%setup -q

%build
# b/c of noarch:
%configure2_5x --build=%{_build}
%make

%install
%makeinstall_std

find %{buildroot} -name '*.la' -delete

%find_lang %{name}

%files -f %{name}.lang
%doc NEWS
%{_bindir}/%{name}
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/%{name}
%{_datadir}/applications/org.gnome.SoundRecorder.desktop
%{_iconsdir}/*/*/*/*
%{_datadir}/appdata/org.gnome.SoundRecorder.appdata.xml


%changelog
* Wed Oct 19 2016 tv <tv> 3.21.92-2.mga6
+ Revision: 1062379
- switch from %%old_configure to %%configure2_5x --build=%%{_build}

* Thu Sep 22 2016 ovitters <ovitters> 3.21.92-1.mga6
+ Revision: 1055267
- new version 3.21.92

* Mon May 09 2016 ovitters <ovitters> 3.20.2-1.mga6
+ Revision: 1011175
- new version 3.20.2

* Thu Apr 28 2016 ovitters <ovitters> 3.19.92-1.mga6
+ Revision: 1007018
- new version 3.19.92

* Sun Feb 28 2016 ovitters <ovitters> 3.19.91-1.mga6
+ Revision: 980234
- new version 3.19.91

* Mon Jan 18 2016 ovitters <ovitters> 3.19.4-1.mga6
+ Revision: 925644
- new version 3.19.4

* Mon Nov 09 2015 ovitters <ovitters> 3.18.2-1.mga6
+ Revision: 899418
- new version 3.18.2

* Tue Oct 13 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 890182
- new version 3.18.1

* Thu Sep 17 2015 tv <tv> 3.17.92-2.mga6
+ Revision: 880231
- use %%old_configure
- make it buildarch thus really fixing empty debuginfo

* Tue Sep 15 2015 ovitters <ovitters> 3.17.92-1.mga6
+ Revision: 879600
- new version 3.17.92

* Wed Sep 09 2015 neoclust <neoclust> 3.17.91-2.mga6
+ Revision: 874922
- Fix build with new rpm ( empty debuginfo)

* Mon Aug 31 2015 ovitters <ovitters> 3.17.91-1.mga6
+ Revision: 871430
- new version 3.17.91

* Mon Aug 17 2015 ovitters <ovitters> 3.17.90-1.mga6
+ Revision: 865199
- new version 3.17.90

* Sun Jun 21 2015 ovitters <ovitters> 3.17.2-1.mga6
+ Revision: 838429
- new version 3.17.2

* Tue Nov 11 2014 ovitters <ovitters> 3.14.2-1.mga5
+ Revision: 796324
- new version 3.14.2

* Sat Nov 01 2014 wally <wally> 3.14.0.1-4.mga5
+ Revision: 795089
- add missing BuildRequires and Requires for gjs (mga#13848)

* Sun Oct 19 2014 wally <wally> 3.14.0.1-3.mga5
+ Revision: 791741
- rebuild with new rpm-mageia-setup

* Wed Oct 15 2014 umeabot <umeabot> 3.14.0.1-2.mga5
+ Revision: 747781
- Second Mageia 5 Mass Rebuild

* Mon Sep 22 2014 ovitters <ovitters> 3.14.0.1-1.mga5
+ Revision: 719189
- new version 3.14.0.1

* Tue Sep 16 2014 umeabot <umeabot> 3.14-2.mga5
+ Revision: 679767
- Mageia 5 Mass Rebuild

  + tv <tv>
    - auto convert _exclude_files_from_autoreq

* Tue Sep 16 2014 ovitters <ovitters> 3.14-1.mga5
+ Revision: 676943
- new version 3.14

* Tue Sep 02 2014 ovitters <ovitters> 3.13.91-1.mga5
+ Revision: 670854
- new version 3.13.91

* Wed Jul 23 2014 ovitters <ovitters> 3.13.4-1.mga5
+ Revision: 655749
- new version 3.13.4

* Tue May 13 2014 ovitters <ovitters> 3.12.2-1.mga5
+ Revision: 622420
- new version 3.12.2

* Mon Apr 14 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 614075
- new version 3.12.1

* Tue Mar 25 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 608214
- new version 3.12.0

* Wed Mar 19 2014 ovitters <ovitters> 3.11.92-1.mga5
+ Revision: 605808
- new version 3.11.92

* Tue Mar 04 2014 ovitters <ovitters> 3.11.91.1-1.mga5
+ Revision: 599287
- new version 3.11.91.1

* Mon Mar 03 2014 ovitters <ovitters> 3.11.91-1.mga5
+ Revision: 598815
- new version 3.11.91

* Mon Feb 17 2014 dams <dams> 3.11.9-2.mga5
+ Revision: 593906
- Adds an obsoletes on 'gnome-media'

* Mon Feb 17 2014 ovitters <ovitters> 3.11.9-1.mga5
+ Revision: 593877
- imported package gnome-sound-recorder

